function love.load()
	Lighting = require("lightlib/Lighting")
	LightLib = require("lightlib/Light")
	RunStats = require("util/RunStats")
		
	LightLib.setGlobalUpdater(Lighting.update)
	
	Light1 = LightLib.new()
	Light1.Position = {400, 300}
	Light1.Color = {255, 255, 255, 255}
	Light1.Radius = 128
	
	Lighting.register(Light1)
end

function love.update(Delta)
	RunStats:Update(Delta)
end

function love.draw()
	love.graphics.clear()
	Lighting.activate()
	love.graphics.setColor(0, 255, 0)
	love.graphics.rectangle("fill", 0, 0, 400, 600)
	love.graphics.setColor(255, 0, 0)
	love.graphics.rectangle("fill", 400, 0, 400, 600)
	Lighting.deactivate()
	love.graphics.setColor(255, 255, 255)
	RunStats:Display()
end